%define oname   ox

Name:       ruby-%{oname}
Version:    2.8.2
Release:    %mkrel 1
Summary:    A fast XML parser and object serializer
License:    MIT
Group:      Development/Ruby
URL:        http://www.ohler.com/ox
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
# Load bigdeciaml before loading the native extension
Patch0:     bigdecimal.patch
BuildRequires: rubygems
BuildRequires: ruby-devel

%description
A fast XML parser and object serializer that uses only standard C lib.
Optimized XML (Ox), as the name implies was written to provide speed optimized
XML handling. It was designed to be an alternative to Nokogiri and other Ruby
XML parsers for generic XML parsing and as an alternative to Marshal for
Object serialization. 

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install

mkdir %{buildroot}%{gem_extdir_mri}/ox
mv %{buildroot}%{gem_extdir_mri}/{ox.so,ox/ox.so}

%files
%{gem_instdir}
%{gem_extdir_mri}
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.md


%changelog
* Fri Mar 29 2019 pterjan <pterjan> 2.8.2-1.mga6
+ Revision: 1380977
- Fix package and update to 2.8.2 to fix CVE-2017-15928 (package was totally broken so not really vulnerable and is safe to update)

* Sat Mar 12 2016 pterjan <pterjan> 2.3.0-1.mga6
+ Revision: 989764
- Update to 2.3.0

* Mon Jan 25 2016 pterjan <pterjan> 2.2.3-1.mga6
+ Revision: 927603
- imported package ruby-ox

